<template>
  <div class="min-h-screen bg-gray-100">
    <div
      v-if="canLogin"
      class="bg-white shadow-lg mx-auto container pt-12 pb-3 px-10"
    >
      <inertia-link :href="route('index')">
        <h1 class="font-bold text-xl sm:text-4xl text-gray-700">
          มหาวิทยาลัยราชภัฏศรีสะเกษ
        </h1>
        <h2 class="text-md sm:text-xl font-bold text-gray-600">
          รายงานยุทธศาสตร์
        </h2>
      </inertia-link>
      <div class="flex justify-center sm:justify-end mt-5">
        <inertia-link
          :href="route('index')"
          :class="`text-sm text-gray-700
            underline
            hover:bg-gray-700
            hover:text-white
            mr-2
            p-1 ${route().current('index') ? 'font-bold' : ''}`"
        >
          โครงการ
        </inertia-link>
        <inertia-link
          :href="route('map.index')"
          :class="`text-sm text-gray-700
            underline
            hover:bg-gray-700
            hover:text-white
            mr-2
            p-1 ${route().current('map.index') ? 'font-bold' : ''}`"
        >
          แผนที่
        </inertia-link>

        <inertia-link
          v-if="$page.props.auth.user"
          :href="route('admin.dashboard.index')"
          class="
            text-sm text-gray-700
            underline
            hover:bg-gray-700
            hover:text-white
            mr-2
            p-1
          "
        >
          แดชบอร์ด
        </inertia-link>

        <template v-else>
          <inertia-link
            :href="route('login')"
            class="
              text-sm text-gray-700
              underline
              hover:bg-gray-700
              hover:text-white
              mr-2
              p-1
            "
          >
            เข้าสู่ระบบ
          </inertia-link>
          <!-- <inertia-link
            v-if="canRegister"
            :href="route('register')"
            class="ml-4 text-sm text-gray-700 underline hover:bg-gray-700 hover:text-white mr-2 p-1"
          >
            Register
          </inertia-link> -->
        </template>
      </div>
    </div>

    <div class="bg-white mx-auto container shadow-lg">
      <div id="public" class="flex justify-center bg-yellow-400">
        <a
          href="https://drive.google.com/file/d/1M3xO1KfYzzPcPpaLY8gqAi8xkOhKun4A/view?usp=sharing"
          target="_blank"
          ><img
            src="images/covid-19.png"
            width="1049"
            height="364"
            alt="covid-19"
        /></a>
      </div>
      <main>
        <slot />
      </main>
      <footer class="bg-gray-600 py-12 px-10 align-self-end text-gray-200">
        <small>มหาวิทยาลัยราชภัฏศรีสะเกษ</small><br />
        <small>
          319 ถนนไทยพันทา ตำบลโพธิ์ อำเภอเมือง จังหวัด ศรีสะเกษ 33000 โทรศัพท์.
          045-643-600 โทรสาร. 045-643-607 </small
        ><br />
        <small>
          Email: webmaster@sskru.ac.th Copy Right 2020.All Rights Reserved.
        </small>
      </footer>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    canLogin: Boolean,
    canRegister: Boolean,
    laravelVersion: String,
    phpVersion: String,
  },
};
</script>
